<?php
	if ( ! function_exists( 'educational_landing_page_setup' ) ) :

	function educational_landing_page_setup() {
		$GLOBALS['content_width'] = apply_filters( 'educational_landing_page_content_width', 640 );

		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'html5', array( 'comment-list', 'search-form', 'comment-form', ) );
		add_theme_support( 'custom-logo', array(
			'height'      => 240,
			'width'       => 240,
			'flex-height' => true,
		) );

		add_theme_support( 'custom-background', array(
			'default-color' => 'ffffff'
		) );

		/*
		 * This theme styles the visual editor to resemble the theme style,
		 * specifically font, colors, icons, and column width.
		 */
		add_editor_style( array( 'assets/css/editor-style.css', educational_landing_page_font_url() ) );

		// Theme Activation Notice
	global $pagenow;

	if (
		is_admin()
		&&
		('themes.php' == $pagenow)
		// &&
		// isset( $_GET['activated'] )
	) {
		add_action('admin_notices', 'educational_landing_page_activation_notice');
	}
}
endif;
	add_action( 'after_setup_theme', 'educational_landing_page_setup' );

	// Notice after Theme Activation
	function educational_landing_page_activation_notice() {
		$educational_landing_page_meta = get_option( 'educational_landing_page_admin_notice' );

	if (!$educational_landing_page_meta) {
		echo '<div id="educational-landing-page-welcome-notice" class="notice notice-success is-dismissible welcome-notice">';
			echo '<div class="notice-row">';
				echo '<div class="notice-text">';
					echo '<p class="welcome-text1">'. esc_html__( '🎉 Welcome to VW Themes,', 'educational-landing-page' ) .'</p>';
					echo '<p class="welcome-text2">'. esc_html__( 'You are now using the Educational Landing Page, a beautifully designed theme to kickstart your website.', 'educational-landing-page' ) .'</p>';
					echo '<p class="welcome-text3">'. esc_html__( 'To help you get started quickly, use the options below:', 'educational-landing-page' ) .'</p>';
					echo '<span class="import-btn"><a href="'. esc_url( admin_url( 'admin.php?page=educational_landing_page_guide' ) ) .'" class="button button-primary">'. esc_html__( 'IMPORT DEMO', 'educational-landing-page' ) .'</a></span>';
					echo '<span class="demo-btn"><a href="'. esc_url( 'https://www.vwthemes.net/educational-landing-page/' ) .'" class="button button-primary" target=_blank>'. esc_html__( 'VIEW DEMO', 'educational-landing-page' ) .'</a></span>';
					echo '<span class="upgrade-btn"><a href="'. esc_url( 'https://www.vwthemes.com/themes/landing-page-wordpress-theme/' ) .'" class="button button-primary" target=_blank>'. esc_html__( 'UPGRADE TO PRO', 'educational-landing-page' ) .'</a></span>';
					echo '<span class="bundle-btn"><a href="'. esc_url( 'https://www.vwthemes.com/products/wp-theme-bundle' ) .'" class="button button-primary" target=_blank>'. esc_html__( 'BUNDLE OF 400+ THEMES', 'educational-landing-page' ) .'</a></span>';
				echo '</div>';
				echo '<div class="notice-img1">';
					echo '<img src="' . esc_url( get_theme_file_uri() . '/inc/getstart/images/arrow-notice.png' ) . '" width="180" alt="' . esc_attr__( 'Educational Landing Page', 'educational-landing-page' ) . '" />';
				echo '</div>';
				echo '<div class="notice-img2">';
					echo '<img src="' . esc_url( get_theme_file_uri() . '/inc/getstart/images/bundle-notice.png' ) . '" width="180" alt="' . esc_attr__( 'Educational Landing Page', 'educational-landing-page' ) . '" />';
				echo '</div>';	
			echo '</div>';	
		echo '</div>';
	}
	
}
	/* Theme Font URL */
	function educational_landing_page_font_url() {
		$font_url      = '';
		$font_family   = array(
			'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
			'Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800'
		);
		$query_args = array(
		'family'	=> rawurlencode(implode('|',$font_family)),
		);
		$font_url = add_query_arg($query_args,'//fonts.googleapis.com/css');
		return $font_url;
		$contents = educational_landing_page_wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
	}

	add_action( 'wp_enqueue_scripts', 'educational_landing_page_enqueue_styles' );
	function educational_landing_page_enqueue_styles() {
		wp_enqueue_style( 'educational-landing-page-font', educational_landing_page_font_url(), array() );
    	$parent_style = 'ecommerce-landing-page-basic-style'; // Style handle of parent theme.

		wp_enqueue_style( 'educational-landing-page-bootstrap-style', get_template_directory_uri().'/assets/css/bootstrap.css' );
		wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
		wp_enqueue_style( 'educational-landing-page-style', get_stylesheet_uri(), array( $parent_style ) );
		require get_theme_file_path( '/custom-style.php' );
		wp_add_inline_style( 'educational-landing-page-style',$ecommerce_landing_page_custom_css );
		require get_parent_theme_file_path( '/custom-style.php' );
		wp_add_inline_style( 'ecommerce-landing-page-basic-style',$ecommerce_landing_page_custom_css );
		wp_enqueue_style( 'educational-landing-page-block-style', get_theme_file_uri('/assets/css/blocks.css') );
		wp_enqueue_style( 'educational-landing-page-block-patterns-style-frontend', get_theme_file_uri('/inc/block-patterns/css/block-frontend.css') );
		wp_enqueue_script( 'educational-landing-page-custom-scripts-jquery', get_theme_file_uri() . '/assets/js/custom.js', array('jquery'),'' ,true );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}

	add_action( 'init', 'educational_landing_page_remove_parent_function');
	function educational_landing_page_remove_parent_function() {
		remove_action( 'admin_notices', 'ecommerce_landing_page_activation_notice' );
		remove_action( 'admin_menu', 'ecommerce_landing_page_gettingstarted' );
	}

	add_action( 'customize_register', 'educational_landing_page_customize_register', 11 );
	function educational_landing_page_customize_register($wp_customize) {
		global $wp_customize;
		$wp_customize->remove_section( 'ecommerce_landing_page_go_pro' );
		$wp_customize->remove_section( 'ecommerce_landing_page_get_started_link' );
		$wp_customize->remove_setting( 'ecommerce_landing_page_cart_icon' );
		$wp_customize->remove_control( 'ecommerce_landing_page_cart_icon' );
		$wp_customize->remove_setting( 'ecommerce_landing_page_show_hide_product' );
		$wp_customize->remove_control( 'ecommerce_landing_page_show_hide_product' );
		$wp_customize->remove_setting( 'ecommerce_landing_page_product_small_text' );
		$wp_customize->remove_control( 'ecommerce_landing_page_product_small_text' );
		$wp_customize->remove_setting( 'ecommerce_landing_page_product_category' );
		$wp_customize->remove_control( 'ecommerce_landing_page_product_category' );
		$wp_customize->remove_setting( 'ecommerce_landing_page_tagline_title1' );
		$wp_customize->remove_control( 'ecommerce_landing_page_tagline_title1' );
		$wp_customize->remove_setting( 'ecommerce_landing_page_show_hide_cart' );
		$wp_customize->remove_control( 'ecommerce_landing_page_show_hide_cart' );

	  	$wp_customize->add_setting( 'educational_landing_page_second_color', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
	  	));
	  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_second_color', array(
	  		'label' => __('Second Color', 'educational-landing-page'),
		    'description' => __('It will change the highlight color in one click.', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_global_typography',
		    'settings' => 'educational_landing_page_second_color',
		    'priority' => 11,
	  	)));

		$wp_customize->add_setting('ecommerce_landing_page_top_myaccount_icon_url',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw'
		));

		$wp_customize->add_control('ecommerce_landing_page_top_myaccount_icon_url',array(
			'label'	=> esc_html__( 'Add Icon URL', 'educational-landing-page' ),
			'section'	=> 'ecommerce_landing_page_topbar_section',
			'setting'	=> 'ecommerce_landing_page_top_myaccount_icon_url',
			'type'	=> 'url'
		));

		// banner
		$wp_customize->add_setting('ecommerce_landing_page_tagline_title1',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('ecommerce_landing_page_tagline_title1',array(
			'label'	=> __('Banner Small Heading','educational-landing-page'),
			'section'	=> 'ecommerce_landing_page_banner',
			'type'		=> 'text',
			'priority'  => 23,
		));

		$wp_customize->add_setting('educational_landing_page_banner_image',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'educational_landing_page_banner_image',array(
	      'label' => __('Banner Image','educational-landing-page'),
	      'description' => __('Image size (1400px x 750px)','educational-landing-page'),
	      'section' => 'ecommerce_landing_page_banner',
	      'priority' => 29,
		)));

		$wp_customize->add_setting('educational_landing_page_banner_image1',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'educational_landing_page_banner_image1',array(
	      'label' => __('Banner Image2','educational-landing-page'),
	      'description' => __('Image size (1400px x 750px)','educational-landing-page'),
	      'section' => 'ecommerce_landing_page_banner',
	      'priority' => 30,
		)));

		$wp_customize->add_setting('educational_landing_page_banner_image2',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'educational_landing_page_banner_image2',array(
	      'label' => __('Banner Image3','educational-landing-page'),
	      'description' => __('Image size (1400px x 750px)','educational-landing-page'),
	      'section' => 'ecommerce_landing_page_banner',
	      'priority' => 31,
		)));

		$wp_customize->add_setting('educational_landing_page_banner_image3',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'educational_landing_page_banner_image3',array(
	      'label' => __('Banner Image4','educational-landing-page'),
	      'description' => __('Image size (1400px x 750px)','educational-landing-page'),
	      'section' => 'ecommerce_landing_page_banner',
	      'priority' => 32,
		)));

		$wp_customize->add_setting( 'educational_landing_page_circle_first_color', array(
		    'default' => '#452C74',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_circle_first_color', array(
			'label' => __('Small Circle First Color Option', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_banner',
		    'settings' => 'educational_landing_page_circle_first_color',
		    'priority' => 33,
		)));

		$wp_customize->add_setting( 'educational_landing_page_circle_second_color', array(
		    'default' => '#624B87',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_circle_second_color', array(
			'label' => __('Small Circle Second Color Option', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_banner',
		    'settings' => 'educational_landing_page_circle_second_color',
		    'priority' => 34,
		)));

		$wp_customize->add_setting( 'educational_landing_page_large_circle_first_color', array(
		    'default' => '#422770',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_large_circle_first_color', array(
			'label' => __('Large Circle First Color Option', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_banner',
		    'settings' => 'educational_landing_page_large_circle_first_color',
		    'priority' => 35,
		)));

		$wp_customize->add_setting( 'educational_landing_page_large_circle_second_color', array(
		    'default' => '#543A7C',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_large_circle_second_color', array(
			'label' => __('Large Circle Second Color Option', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_banner',
		    'settings' => 'educational_landing_page_large_circle_second_color',
		    'priority' => 36,
		)));

		$wp_customize->add_setting( 'educational_landing_page_large_small_img_circle_first_color', array(
		    'default' => '#422770',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_large_small_img_circle_first_color', array(
			'label' => __('Banner Image Border First Color Option', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_banner',
		    'settings' => 'educational_landing_page_large_small_img_circle_first_color',
		    'priority' => 37,
		)));

		$wp_customize->add_setting( 'educational_landing_page_large_small_img_circle_second_color', array(
		    'default' => '#543A7C',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'educational_landing_page_large_small_img_circle_second_color', array(
			'label' => __('Banner Image Border second Color Option', 'educational-landing-page'),
		    'section' => 'ecommerce_landing_page_banner',
		    'settings' => 'educational_landing_page_large_small_img_circle_second_color',
		    'priority' => 38,
		)));


		// Feature Courses Section

		$wp_customize->add_section('educational_landing_page_feature_courses_section' , array(
	  		'title' => esc_html__( 'Feature Courses Section', 'educational-landing-page' ),
			'panel' => 'ecommerce_landing_page_panel_id',
			'priority' => 50,
		) );

		$wp_customize->add_setting('educational_landing_page_feature_courses_tagline_title1',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('educational_landing_page_feature_courses_tagline_title1',array(
			'label'	=> esc_html__( 'Courses Title', 'educational-landing-page' ),
			'section'	=> 'educational_landing_page_feature_courses_section',
			'type'		=> 'text',
			'input_attrs' => array(
		      'placeholder' => __( 'Courses', 'educational-landing-page' ),
		    ),
		));

			$wp_customize->add_setting('educational_landing_page_feature_courses_tagline_title',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('educational_landing_page_feature_courses_tagline_title',array(
			'label'	=> esc_html__( 'Courses Heading', 'educational-landing-page' ),
			'section'	=> 'educational_landing_page_feature_courses_section',
			'type'		=> 'text',
			'input_attrs' => array(
		      'placeholder' => __( 'Feature Courses', 'educational-landing-page' ),
		    ),
		));

		 $wp_customize->add_setting('educational_landing_page_feature_courses_designation_text',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('educational_landing_page_feature_courses_designation_text',array(
			'label'	=>esc_html__( 'Courses Content', 'educational-landing-page' ),
			'section'	=> 'educational_landing_page_feature_courses_section',
			'type'		=> 'text',
			'input_attrs' => array(
		      'placeholder' => __( 'Lorem Ipsum is simply dummy text of the printing.', 'educational-landing-page' ),
		    ),
		));


		$categories = get_categories();
		$cat_post = array();
		$cat_post[]= 'select';
		$i = 0;
		foreach($categories as $category){
			if($i==0){
				$default = $category->slug;
				$i++;
			}
			$cat_post[$category->slug] = $category->name;
		}

		$wp_customize->add_setting('ecommerce_landing_page_feature_category',array(
			'default'	=> 'select',
			'sanitize_callback' => 'ecommerce_landing_page_sanitize_choices',
		));
		$wp_customize->add_control('ecommerce_landing_page_feature_category',array(
			'type'    => 'select',
			'choices' => $cat_post,
			'label' => __('Select Category to display courses','educational-landing-page'),
			'section' => 'educational_landing_page_feature_courses_section',
		));
	}

	add_action( 'customize_register', 'educational_landing_page_typography_customize_register', 12 );
	function educational_landing_page_typography_customize_register( $wp_customize ) {
		$wp_customize->remove_control( 'ecommerce_landing_page_second_color' );
	}

	

	/**
	 * Enqueue block editor style
	 */
	function educational_landing_page_block_editor_styles() {
		wp_enqueue_style( 'educational-landing-page-font', educational_landing_page_font_url(), array() );
	    wp_enqueue_style( 'educational-landing-page-block-patterns-style-editor', get_theme_file_uri( '/inc/block-patterns/css/block-editor.css' ), false, '1.0', 'all' );
		wp_enqueue_style( 'educational-landing-page-font-awesome-css', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
	}
	add_action( 'enqueue_block_editor_assets', 'educational_landing_page_block_editor_styles' );

	/* Theme Widgets Setup */

	function educational_landing_page_widgets_init() {
		register_sidebar( array(
			'name'          => __( 'Footer Navigation 1', 'educational-landing-page' ),
			'description'   => __( 'Appears on footer 1', 'educational-landing-page' ),
			'id'            => 'footer-1',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );

		register_sidebar( array(
			'name'          => __( 'Footer Navigation 2', 'educational-landing-page' ),
			'description'   => __( 'Appears on footer 2', 'educational-landing-page' ),
			'id'            => 'footer-2',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );

		register_sidebar( array(
			'name'          => __( 'Footer Navigation 3', 'educational-landing-page' ),
			'description'   => __( 'Appears on footer 3', 'educational-landing-page' ),
			'id'            => 'footer-3',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );

		register_sidebar( array(
			'name'          => __( 'Footer Navigation 4', 'educational-landing-page' ),
			'description'   => __( 'Appears on footer 4', 'educational-landing-page' ),
			'id'            => 'footer-4',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}
	add_action( 'widgets_init', 'educational_landing_page_widgets_init' );

// Customizer Pro
load_template( ABSPATH . WPINC . '/class-wp-customize-section.php' );

class Educational_Landing_Page_Customize_Section_Pro extends WP_Customize_Section {
	public $type = 'educational-landing-page';
	public $pro_text = '';
	public $pro_url = '';
	public function json() {
		$json = parent::json();
		$json['pro_text'] = $this->pro_text;
		$json['pro_url']  = esc_url( $this->pro_url );
		return $json;
	}
	protected function render_template() { ?>
		<li id="accordion-section-{{ data.id }}" class="accordion-section control-section control-section-{{ data.type }} cannot-expand">
			<h3 class="accordion-section-title">
				{{ data.title }}
				<# if ( data.pro_text && data.pro_url ) { #>
					<a href="{{ data.pro_url }}" class="button button-secondary alignright" target="_blank">{{ data.pro_text }}</a>
				<# } #>
			</h3>
		</li>
	<?php }
}

final class Educational_Landing_Page_Customize {
	public static function get_instance() {
		static $instance = null;
		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}
		return $instance;
	}
	private function __construct() {}
	private function setup_actions() {
		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );
		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}
	public function sections( $manager ) {
		// Register custom section types.
		$manager->register_section_type( 'Educational_Landing_Page_Customize_Section_Pro' );
		
		// Register sections.
		$manager->add_section( new Educational_Landing_Page_Customize_Section_Pro( $manager, 'educational_landing_page_upgrade_pro_link',
		array(
			'priority'   => 1,
			'title'    => esc_html__( 'EDUCATIONAL PRO', 'educational-landing-page' ),
			'pro_text' => esc_html__( 'UPGRADE PRO', 'educational-landing-page' ),
			'pro_url'  => esc_url('https://www.vwthemes.com/products/landing-page-wordpress-theme'),
		) ) );

		// Register sections.
		$manager->add_section(new Educational_Landing_Page_Customize_Section_Pro($manager,'educational_landing_page_get_started_link',array(
			'priority'   => 1,
			'title'    => esc_html__( 'DOCUMENTATION', 'educational-landing-page' ),
			'pro_text' => esc_html__( 'DOCS', 'educational-landing-page' ),
			'pro_url'  => esc_url('https://preview.vwthemesdemo.com/docs/free-educational-landing-page/'),
		)));
	}
	public function enqueue_control_scripts() {
		wp_enqueue_script( 'educational-landing-page-customize-controls', get_stylesheet_directory_uri() . '/assets/js/customize-controls-child.js', array( 'customize-controls' ) );
		wp_enqueue_style( 'educational-landing-page-customize-controls', get_stylesheet_directory_uri() . '/assets/css/customize-controls-child.css' );
	}
}
Educational_Landing_Page_Customize::get_instance();

function educational_landing_page_init_setup() {
	/* getstart */
	require get_theme_file_path('/inc/getstart/getstart.php');

	/* Plugin Activation */
	require get_theme_file_path() . '/inc/getstart/plugin-activation.php';

	/* Tgm */
	require get_theme_file_path() . '/inc/tgm/tgm.php';

	/* Custom template tags for this theme. */
	require get_theme_file_path() . '/inc/template-tags.php';

	/* Block Pattern */
	require get_theme_file_path('/inc/block-patterns/block-patterns.php');

	define('EDUCATIONAL_LANDING_PAGE_FREE_THEME_DOC',__('https://preview.vwthemesdemo.com/docs/free-educational-landing-page/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_SUPPORT',__('https://wordpress.org/support/theme/educational-landing-page/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_REVIEW',__('https://wordpress.org/support/theme/educational-landing-page/reviews','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_BUY_NOW',__('https://www.vwthemes.com/products/free-educational-wordpress-theme','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_LIVE_DEMO',__(' https://www.vwthemes.net/educational-landing-page/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_PRO_DOC',__('https://preview.vwthemesdemo.com/docs/vw-ecommerce-landing-page-pro/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_FAQ',__('https://www.vwthemes.com/faqs/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_CONTACT',__('https://www.vwthemes.com/contact/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_CHILD_THEME',__('https://developer.wordpress.org/themes/advanced-topics/child-themes/','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_CREDIT',__('https://www.vwthemes.com/products/free-educational-wordpress-theme','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_THEME_BUNDLE_BUY_NOW',__('https://www.vwthemes.com/products/wp-theme-bundle','educational-landing-page'));
	define('EDUCATIONAL_LANDING_PAGE_THEME_BUNDLE_DOC',__('https://preview.vwthemesdemo.com/docs/theme-bundle/','educational-landing-page'));

	if ( ! function_exists( 'educational_landing_page_credit' ) ) {
		function educational_landing_page_credit(){
			echo "<a href=".esc_url(EDUCATIONAL_LANDING_PAGE_CREDIT)." target='_blank'>".esc_html__('Educational Landing Page WordPress Theme','educational-landing-page')."</a>";
		}
	}

	if ( ! defined( 'ECOMMERCE_LANDING_PAGE_GO_PRO' ) ) {
		define( 'ECOMMERCE_LANDING_PAGE_GO_PRO', 'https://www.vwthemes.com/products/landing-page-wordpress-theme');
	}

	if ( ! defined( 'ECOMMERCE_LANDING_PAGE_GETSTARTED_URL' ) ) {
	define( 'ECOMMERCE_LANDING_PAGE_GETSTARTED_URL', 'themes.php?page=educational_landing_page_guide');
	}
}
add_action( 'after_setup_theme', 'educational_landing_page_init_setup' );


// Admin notice code START
function educational_landing_page_dismissed_notice() {
	update_option( 'educational_landing_page_admin_notice', true );
}
add_action( 'wp_ajax_educational_landing_page_dismissed_notice', 'educational_landing_page_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'educational_landing_page_getstart_setup_options');
function educational_landing_page_getstart_setup_options () {
    update_option('educational_landing_page_admin_notice', false );
}
// Admin notice code END
